org.apache.flume.conf

## Enum ComponentConfiguration.ComponentType

- java.lang.Object
- - java.lang.Enum<ComponentConfiguration.ComponentType>
  - - org.apache.flume.conf.ComponentConfiguration.ComponentType

- All Implemented Interfaces:
    Serializable, Comparable<ComponentConfiguration.ComponentType>
  Enclosing class:
    ComponentConfiguration

      public static enum ComponentConfiguration.ComponentType
      extends Enum<ComponentConfiguration.ComponentType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHANNEL`
    `CHANNELSELECTOR`
    `OTHER`
    `SINK`
    `SINK_PROCESSOR`
    `SINKGROUP`
    `SOURCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComponentType()`
    `static ComponentConfiguration.ComponentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ComponentConfiguration.ComponentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final ComponentConfiguration.ComponentType OTHER

    - #### SOURCE

          public static final ComponentConfiguration.ComponentType SOURCE

    - #### SINK

          public static final ComponentConfiguration.ComponentType SINK

    - #### SINK_PROCESSOR

          public static final ComponentConfiguration.ComponentType SINK_PROCESSOR

    - #### SINKGROUP

          public static final ComponentConfiguration.ComponentType SINKGROUP

    - #### CHANNEL

          public static final ComponentConfiguration.ComponentType CHANNEL

    - #### CHANNELSELECTOR

          public static final ComponentConfiguration.ComponentType CHANNELSELECTOR

  - ### Method Detail

    - #### values

          public static ComponentConfiguration.ComponentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComponentConfiguration.ComponentType c : ComponentConfiguration.ComponentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComponentConfiguration.ComponentType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getComponentType

          public String getComponentType()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.